#ifndef __TAHITIFPGA_H__
#define __TAHITIFPGA_H__

#include <linux/ioctl.h>

typedef struct fpgaioctl_data {
	uint8_t		data;
	uint32_t	offset;
} fpgaioctl_data_t;

#define FPGAIOC_READ			_IOR('F', 0, fpgaioctl_data_t)
#define FPGAIOC_WRITE			_IOW('F', 1, fpgaioctl_data_t)
#define FPGAIOC_RXDATA_R		_IOR('F', 2, fpgaioctl_data_t)
#define FPGAIOC_TXDATA_R    	_IOR('F', 3, fpgaioctl_data_t)
#define FPGAIOC_TXDATA_W		_IOW('F', 4, fpgaioctl_data_t)
#define FPGAIOC_STATUS_R		_IOR('F', 5, fpgaioctl_data_t)
#define FPGAIOC_STATUS_W		_IOW('F', 6, fpgaioctl_data_t)
#define FPGAIOC_CONTROL_R		_IOR('F', 7, fpgaioctl_data_t)
#define FPGAIOC_CONTROL_W		_IOR('F', 8, fpgaioctl_data_t)
#define FPGAIOC_SLAVE_SELECT_R	_IOR('F', 9, fpgaioctl_data_t)
#define FPGAIOC_SLAVE_SELECT_W	_IOR('F', 10, fpgaioctl_data_t)

#endif /* __TAHITIFPGA_H__ */
